import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { RPCService } from '@loafer/ng-rpc';
import { MetaProbeOs, MetaProbePackage } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaProbePackageService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAllByOs(metaProbeOs: MetaProbeOs): Observable<MetaProbePackage[]> {
    return this.rpcService.call('MetaProbePackageService.readAllByOs', metaProbeOs);
  }
}
